package parser

import "code.osinet.fr/fgm/waiig15/ast"

// parseIdentifier does not advance the tokens or call nextToken, and this is
// important.
func (p *Parser) parseIdentifier() ast.Expression {
	return &ast.Identifier{
		Token: p.curToken,
		Value: p.curToken.Literal,
	}
}
