package ast

import "code.osinet.fr/fgm/waiig15/token"

// IntegerLiteral fulfills ast.Expression.
type IntegerLiteral struct {
	Token token.Token
	Value int64
}

func (il *IntegerLiteral) expressionNode() {}

// TokenLiteral satisfies the Node interface.
func (il *IntegerLiteral) TokenLiteral() string {
	return il.Token.Literal
}
func (il *IntegerLiteral) String() string {
	return il.Token.Literal
}
